UPDATE dbo.AllocationProfile 
SET Shortcut = 'S'
WHERE Type = 1 AND (Shortcut is null OR Shortcut = '')

UPDATE dbo.AllocationProfile 
SET Shortcut = 'D'
WHERE Type = 2 AND (Shortcut is null OR Shortcut = '')

UPDATE dbo.AllocationProfile 
SET Shortcut = 'R'
WHERE Type = 3 AND (Shortcut is null OR Shortcut = '')

UPDATE dbo.AllocationProfile 
SET Shortcut = 'T'
WHERE Type = 4 AND (Shortcut is null OR Shortcut = '')


